2024-06-20 Mike Gabriel

        * Release 0.2.0 (HEAD -> main, tag: 0.2.0)
        * Merge branch 'personal/lduboeuf/fix_description' into 'main'
          (4b23610)

2024-06-07 Lionel Duboeuf

        * Make description as a single field As per RFC 5545 and RFC 7986 the
          DESCRIPTION field should be saved as one long string and
          should only be splitted if it is treated as multilingual.
          (3f2e176)

2024-06-18 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_shifted_events_main' into
          'main' (f040953)

2024-03-04 Lionel Duboeuf

        * fix shifted events when dealing with different Time zones fix
          https://gitlab.com/ubports/development/apps/lomiri-calendar-app/-/issues/228
          (c81c1f8)

2024-06-18 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/eds-source-lomiri' into 'main'
          (75b463d)
        * Ensure libedataserver sees Lomiri extension as ESourceExtension's
          child (d63faa9)

2024-06-01 Mike Gabriel

        * tests/unittest/recurrence-test.cpp: Drop various QEXPECT_FAIL test
          skips. Seems to work again these days. (4f383b3)
        * d/*: Update from official Debian package. (1b863b3)
        * debian/: Adjust src:pkg name: qtorganizer5-eds -> qtorganizer-eds
          (80ce6b8)
        * CMakeLists.txt: Rename project from qorganizer-eds to
          qtorganizer-eds (as commonly done for many other Qt
          library projects, as well). (908d057)
        * CMake: Replace UEDS by LOMIRI_EDS. (dadf03b)

2024-05-30 Mike Gabriel

        * version: bump to 0.2.0 (bb047b5)
        * d/control: Improve LONG_DESCRIPTION. (843ddc1)
        * README -> README.md, improve content. (361e4c1)
        * buildOnDevice.sh: Drop script. (309023d)
        * .bzr**: Bye bye Bazaar... (098b9b6)
        * copyright headers: Fix file attribution, the files are part of
          qtorganizer5-eds (not
          ubuntu-pim-service/lomiri-pim-service). (70d4b88)
        * d/control: Adjust B-Ds for switch from evolution-data-server-utouch
          to evolution-data-server-lomiri. (a3c0671)
        * qtorganizer5-eds: Switch from evolution-data-server-utouch to
          forked evolution-data-server-lomiri EDS source extension.
          (6169886)
        * Merge branch 'personal/sunweaver/fix-on-noble' into 'main'
          (00da688)
        * d/{control,rules}: Drop from B-D: qt5-default, use QT_SELECT in
          d/rules instead. (3b5205a)

2023-01-05 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/alarm-tzid' into 'main'
          (654fd3c)

2023-01-05 Ratchanan Srirattanamet

        * organizer: do not pass empty tzId (8a5db01)
          Fixes:
          https://gitlab.com/ubports/development/core/packaging/ayatana-indicators/ayatana-indicator-datetime/-/issues/1

          Fixes: b1707cf0aa3e ("Port to libecal 2.0")

2022-06-09 Ratchanan Srirattanamet

        * Merge branch 'port-to-focal' into 'main' (2f264bb)

2022-06-09 Guido Berhoerster

        * Initialize daysOfWeekMap more efficiently (385a36b)

2022-06-07 Guido Berhoerster

        * Skip failing recurrence rule tests (30b6ab5)

2022-05-31 Guido Berhoerster

        * Don't wait in unit tests for EDS to exit (08a305a)

2022-05-30 Guido Berhoerster

        * Modernize cmake build system (5423b68)

2022-03-09 Guido Berhoerster

        * Adjust check for serialized events (98f8a46)

2022-03-08 Guido Berhoerster

        * Handle missing alarm repeat (e22281f)
        * Fix incorrect array limit when parsing recurrence rules (00fa236)

2022-02-03 Guido Berhoerster

        * Port to focal (a4d891b)

2022-03-03 Guido Berhoerster

        * Add support for evolution-data-server >= 3.34 (e18213c)

2022-02-08 Guido Berhoerster

        * Port to libecal 2.0 (b1707cf)

2022-02-24 Ratchanan Srirattanamet

        * Move Jenkinsfile to debian/ per new guideline (87bc062)

2022-01-30 Alberto Mardegan

        * organizer: update for latest QtPim changes (#14) (dc61b01)

2021-01-11 Rodney

        * Update Jenkinsfile (#13) (cd9c698)

2018-11-13 Alberto Mardegan

        * Version 0.1.5 (2154a2a)

2018-11-07 Alberto Mardegan

        * Tests: fail on critical glib messages (b6c1d85)
        * QtOrganizer: don't insert NULL sources into the map (ff1be67)
        * tests: avoid using an uninitialized variable (80f117e)
        * QtOrganizer: remove some unused methods and variables (3e5470f)
        * QtOrganizer: mark virtual methods with teh "override" attribute
          (8dff235)

2018-11-06 Alberto Mardegan

        * tests: Be flexible about the number of emitted signals (c6d7a06)
        * QtOrganizer: fix a race condition on collection creation (262b0b0)

2018-11-05 Alberto Mardegan

        * QtOrganizer: fix an error reported by valgrind (d1a1f56)

2018-11-04 Alberto Mardegan

        * Tests: allow running the test under valgrind (edd577d)
        * Tests: remove debug message (56cfc71)

2018-10-31 Alberto Mardegan

        * tests: fix double free error: (e4fbccc)
        * tests: connect to signal spies using C++11 syntax (75d6847)
        * tests: disable floating time test (5c959ec)
        * tests: fix item ID comparison (5009c2c)
        * tests: Do not leak signals across test cases (2717a0c)
        * QtOrganizer: properly handle items with no collection assigned
          (00d2974)
        * tests: update eds-base-test to work with the new ID scheme
          (1c4a4c6)
        * QtOrganizer: fix reading of recurrent events (bc56d1a)

2018-10-30 Alberto Mardegan

        * debian/rules: don't run tests if the build profile contains
          "nocheck" (d78aad7)
        * tests: fix timezone in recurrence-test (9452084)
        * tests: register metatype used in signal argument (3f54c7d)
        * tests: remove failing comparison in collections test (26fee6f)
        * Update for eds 3.18 (93259f0)

2018-10-29 Alberto Mardegan

        * debian: Run tests from build dir (fcf909d)
        * QOrganizer: override defaultCollectionId() (5670668)

2018-10-28 Alberto Mardegan

        * Update changelog for 0.1.4 (c8858da)

2018-09-27 Alberto Mardegan

        * SourceRegistry: ignore updates to the readonly EClient property
          (fff7f1b)

2018-09-25 Alberto Mardegan

        * QOrganizer: fix handling of recurrent events (2a9e502)

2018-09-24 Alberto Mardegan

        * QOrganizer: Fix handling of item IDs (84b389d)

2018-09-18 Alberto Mardegan

        * New debian versioning scheme (40e0ca5)

2018-09-01 Marius Gripsgard

        * Merge pull request #3 from mardy/xenial_-_latestqtpim (fb81add)

2018-08-03 Alberto Mardegan

        * build: crossbuilder fixes (eb1a18d)

2018-07-24 Alberto Mardegan

        * Update to latest QtPim (54082d7)

2018-07-10 Marius Gripsgard

        * Merge pull request #2 from mardy/calendar-offset (8d91802)

2018-07-08 Alberto Mardegan

        * More robust reading of timezones (4ca7dc9)
          Fixes: issue #760

2018-06-30 Marius Gripsgard

        * Merge pull request #1 from ubports/xenial_-_fixclockagain (dca3947)
        * Do not set invalid timezone, use UTC insted (ac75731)
        * Make sure QDateTime is valid (08edccc)
        * Imported to UBports (3a638ed)

2016-09-28 Bileto Bot

        * Releasing 0.1.1+16.10.20160928-0ubuntu1 (7623513)

2016-09-28 Renato Araujo Oliveira Filho

        * Fix recurrence date. (869310d)

2016-08-31 Bileto Bot

        * Resync trunk. (e8db39c)

2016-08-26 Renato Araujo Oliveira Filho

        * Update changelog. (e826a29)

2016-08-23 Renato Araujo Oliveira Filho

        * Fix recurrence date. (72b50f1)

2016-08-20 Bileto Bot

        * Releasing 0.1.1+16.10.20160820-0ubuntu1 (a05bf99)
        * Rebuild against latest evolution-data-server (ff93585)

2016-08-19 Jeremy Bicha

        * Rebuild against latest evolution-data-server (b797595)

2016-07-21 Bileto Bot

        * Releasing 0.1.1+16.10.20160721.1-0ubuntu1 (bbafad1)

2016-07-21 Renato Araujo Oliveira Filho

        * Update dep package name. (93f8438)
        * Trunk merged. (69d3dcc)

2016-07-20 Renato Araujo Oliveira Filho

        * Update dep package name. (928573e)

2016-07-11 Bileto Bot

        * Releasing 0.1.1+16.10.20160711-0ubuntu1 (72983c5)

2016-07-11 Renato Araujo Oliveira Filho

        * Create a "collection-account-id" meta data property to store the
          account id which the source is linked. (6f736e2)
        * Trunk merged. (1a2cabf)
        * Update changelog with changes from yakkety. (8f72711)

2016-07-06 Renato Araujo Oliveira Filho

        * Fixed memory leaks. (3736255)
        * Use a batch operation to send event changes signal. (c67c41b)

2016-07-01 Renato Araujo Oliveira Filho

        * Emit 'collectionsModified' when necessary. (32a8fd3)

2016-06-16 Renato Araujo Oliveira Filho

        * Avoid crash if request is cancelled during the query. (aef2fda)

2016-06-15 Renato Araujo Oliveira Filho

        * Avoid crash during the engine destruction. (0790ec2)

2016-06-09 Renato Araujo Oliveira Filho

        * Print warning message on trigger parse only once. (63799db)

2016-06-08 Renato Araujo Oliveira Filho

        * Trunk merged. (64b1a8f)

2016-06-07 Renato Araujo Oliveira Filho

        * Make a copy of calendar items on parse thread to avoid it to be
          destroyed outside of the thread. (6812653)
        * check if the source has a ubuntu extension. (78771e3)
        * Fixed sync writable property. (7f5e520)

2016-06-06 Renato Araujo Oliveira Filho

        * Implemented support for extra medata in the collections. (57b0221)
        * Print a warning message if it fails to create ubuntu extension.
          (c0c4bdd)

2016-06-03 Renato Araujo Oliveira Filho

        * Add "evolution-data-server-ubuntu-dev" as build dep. (78e6565)
        * Use ubuntu eds extensions for calendar sources. (950af2a)

2016-05-18 Renato Araujo Oliveira Filho

        * Does not use source name as part of collection id. (9bb1059)

2016-05-17 Renato Araujo Oliveira Filho

        * Create a "collection-account-id" meta property to store the account
          id which the source is linked. (b1b0c89)

2016-05-06 CI Train Bot

        * Releasing 0.1.1+16.04.20160506.1-0ubuntu1 (bf6add6)

2016-05-06 Renato Araujo Oliveira Filho

        * Make sure that recurrence-id contains the event timezone.
          Fixes:
          #1577416 (6077ed0)
        * Removed debug message. (1d0ee94)

2016-05-05 Renato Araujo Oliveira Filho

        * Make sure that recurrence-id contains the event timezone. (d7e2966)

2016-04-20 CI Train Bot

        * Releasing 0.1.1+16.04.20160420-0ubuntu1 (696f763)

2016-04-20 Renato Araujo Oliveira Filho

        * Save all days events in UTC time format to avoid problems with
          while converting it to QML.
          Fixes: #1563742 Approved by:
          PS Jenkins bot (75aa43f)
        * Fixed all day events time save. (179a664)

2016-04-14 Renato Araujo Oliveira Filho

        * Save all days events in UTC time format to avoid problems with
          while converting it to QML. (a5c0538)

2016-03-17 CI Train Bot

        * Releasing 0.1.1+16.04.20160317-0ubuntu1 (1176c51)

2016-03-17 Renato Araujo Oliveira Filho

        * Store default collection information on QSettings. (91b6f81)
        * Store default collection information on QSettings. (6e9e433)

2016-03-15 CI Train Bot

        * Releasing 0.1.1+16.04.20160315-0ubuntu1 (545d8aa)

2016-03-15 Renato Araujo Oliveira Filho

        * Implemented support to change the default collection using
          'collection-default' meta data.
          Fixes: #1373945 Approved
          by: PS Jenkins bot, Arthur Mello (f8f07f4)
        * Re-use 'registry' variable instead of declare a new one. (cdd590b)

2016-03-14 Renato Araujo Oliveira Filho

        * Trunk merged. (e28e54b)
        * Implemented support to change the default collection using
          'collection-default' meta data. (a551e64)

2016-03-07 CI Train Bot

        * Releasing 0.1.1+16.04.20160307-0ubuntu1 (af0705a)

2016-03-07 Renato Araujo Oliveira Filho

        * Request a new source from EDS if the actual source still marked as
          not removable. Approved by: PS Jenkins bot (e05ef68)
        * Fix qdatetime value before convert it to time_t. Update event end
          time if saving event with startDate > endDate; Approved
          by: PS Jenkins bot (a13dd1e)
        * Populate event list with detached events. (adf9aac)
        * Optimize event query. (6546770)
        * Implemented event parse EDS -> QOrganizer in a thread to avoid main
          thread be blocked. Approved by: PS Jenkins bot (c3a4f94)
        * Avoid query on sources that is not part of the filter. Approved by:
          PS Jenkins bot (ce58a32)
        * Implemented support for filter event details during the event
          query. Approved by: PS Jenkins bot (2aea0c7)
        * Check if request still valid before send reply. (4fcfb43)

2016-03-04 Renato Araujo Oliveira Filho

        * Request a new source from EDS if the actual source still marked as
          not removable. (64124d4)

2016-03-03 Renato Araujo Oliveira Filho

        * Fix qdatetime value before convert it to time_t. (e7bbce4)
        * Merged
          lp:~renatofilho/qtorganizer5-eds/fix-query-with-detached-events
          (6382ab5)
        * Update event end time if saving event with startDate > endDat.
          (9f76611)

2016-01-25 Renato Araujo Oliveira Filho

        * Avoid crash when searching with invalid filter. (aa304db)

2016-01-18 Renato Araujo Oliveira Filho

        * Fixed event recurrence cb signature. (215c1a6)
        * Check if request still valid bofere parse items on thread.
          (de76ddd)

2016-01-15 Renato Araujo Oliveira Filho

        * Fetch detached events. (3a7e8d8)

2016-01-12 Renato Araujo Oliveira Filho

        * Merged 'lp:~renatofilho/qtorganizer5-eds/thread-parse' (1ce6978)

2016-01-11 Renato Araujo Oliveira Filho

        * Trunk merged (c8a59ce)
        * Parent merged. (e6feb47)
        * Parent branch merged. (35d64f7)
        * Trunk merged. (487ba4b)

2015-10-29 CI Train Bot

        * Releasing 0.1.1+16.04.20151029-0ubuntu1 (1e3a547)

2015-10-29 Renato Araujo Oliveira Filho

        * Correct save events with UTC format.
          Fixes: #1445577 (7d0254b)
        * Trunk merged. (b707e65)
        * Update changelog. (918be72)
        * Create unit test for events saved on UTC  timezone. (4e1955a)

2015-10-28 Renato Araujo Oliveira Filho

        * Run tests sequential. (7841149)
        * Updated changelog. (5c7ba1e)
        * Trunk merged. (fb7e309)

2015-10-02 Renato Araujo Oliveira Filho

        * Correct save events with UTC format. (434eb72)

2015-08-27 Gary.Wzl

        * Convert local timezone to UTC time zone when parsing start & end
          datetime if they're not floating time. (33c4856)

2015-07-23 CI Train Bot

        * Releasing 0.1.1+15.10.20150723.1-0ubuntu1 (a069157)

2015-07-23 Iain Lane

        * Adapt to API changes and new D-Bus service names in e-d-s 3.16

          Fixes: #1469208 (d0a1e90)
        * And for libecal (0942f37)
        * Build with e-d-s 3.12 too (bc27deb)

2015-07-20 Iain Lane

        * merge lp:~renatofilho/qtorganizer5-eds/eds3.16-vivid to stay
          compatible with vivid + wily (31b3e43)

2015-07-13 Renato Araujo Oliveira Filho

        * Attempt to fix montly reccurence on wily. (9b46088)
        * Fix vivid build. (ff140bb)

2015-07-12 Gary.Wzl

        * remove invalid QTimeZone when converting icaltimetype to QDateTime
          (c71a934)

2015-06-18 Iain Lane

        * Don't wait, it makes tests fail (c6ea21a)
        * Update bus names in more places (ff980dd)
        * Add the timeout to the tests too (e1736a2)
        * tests/unittest/run-eds-test.sh: update dbus interface versions for
          e-d-s 3.16 (77c3f41)
        * Whoops, fix parameter order (6aa6567)
        * Require e-d-s 3.16 due to e_book_client_connect_sync api change
          (0bdb110)
        * Wait for the backend to connect to its store for up to 5 seconds
          (e109cf6)

2015-06-10 Renato Araujo Oliveira Filho

        * Create unit test for all day events. (25ef0b1)
        * Does not save timezone for allday events. (9ff9015)

2015-05-13 Renato Araujo Oliveira Filho

        * Parent merged. (385ee01)
        * Parent merged. (7802628)
        * Trunk merged. (609b735)

2015-05-08 CI Train Bot

        * Releasing 0.1.1+15.04.20150508.2-0ubuntu1 (e4d1275)

2015-05-08 Renato Araujo Oliveira Filho

        * Added a new extra metadata property in collection (read-only
          property).
          Fixes: #1347836 (960eefd)
        * Save a trigger for reminders with with secondsBeforeStart equals 0.

          Fixes: #1440878 Approved by: PS Jenkins bot, Charles Kerr
          (9f999a2)
        * Implemented support for extended details. (7770fe4)

2015-04-13 Renato Araujo Oliveira Filho

        * Do not try to compare secs on unit test. (b1e65f7)
        * Fix collection test. (c87dd86)
        * Added check to make sure that all request get destroyed. (edc52a9)
        * Code cleanup. (f169a63)
        * Added debug helper functions. (71f714a)

2015-04-10 Renato Araujo Oliveira Filho

        * Make sure that the request data is not destroyed immediately after
          call finish function. (58154ac)
        * Make sure to delete request-data only after emit the finish signal.
          (b418ecd)
        * Added minssing files. (df22d17)
        * Created test for async parse. (057f4aa)
        * Implemented event parse EDS -> QOrganizer in a thread to avoid main
          thread be blocked. (0bbeca7)
        * Fixed code indentation. (a01657d)
        * Create test for filter in different collections. (02f64b6)
        * Avoid query on sources that is not part of the filter. (37b40ed)

2015-04-09 Renato Araujo Oliveira Filho

        * Implemented support for filter event details during the event
          query. (d3aa72b)
        * Update collection test. (ed4681a)
        * Merged: lp:~renatofilho/qtorganizer5-eds/fix-1440878 (64d3038)
        * Removed test workaround. (6eafa0d)
        * Merged: lp:~renatofilho/qtorganizer5-eds/fix-1426519 (32073e5)
        * Update readonly conllections based on client information. (1d0b216)
        * Trunk merged. (6a5f511)
        * Attempt to make the test more reliable. (376ab67)
        * Used g_clear_object instead of g_object_unref, its already does the
          cast to GObject. (6a68835)
        * Ignore events trigger with type E_CAL_COMPONENT_ALARM_TRIGGER_NONE.
          (e30f488)

2015-04-08 Renato Araujo Oliveira Filho

        * Save a  triger for reminders with  with secondsBeforeStart equals
          0. (00bdd4a)

2015-03-30 Renato Araujo Oliveira Filho

        * Fixed wait function to not block glib. Fixed source creation
          process to avoid return unready sources. (52f166a)

2015-03-25 Renato Araujo Oliveira Filho

        * Fixed cmake (bf873a6)
        * Better handler intersect filter for data fetching. (af49b7c)
        * Implement a new "wait" function for requestData. (00c90d3)

2015-03-24 Renato Araujo Oliveira Filho

        * Added missing file. (2e43124)
        * Optimize event query. (18f0640)
        * Revert wrong commit. (a5093e2)
        * Implemented support for extended details. (d7c8162)
        * Removed missing debug. (ec017be)
        * Avoid filter or sort results if not necessary. (1383db9)
        * Optimize query by filtering collections related with the current
          query. (5e40eca)

2015-03-09 CI Train Bot

        * Releasing 0.1.1+15.04.20150309-0ubuntu1 (aacbf72)

2015-03-09 Renato Araujo Oliveira Filho

        * Fixed engine crash while destroying and requests still running.

          Fixes: #1423185 Approved by: Alan Pope  (7ed4934)

2015-03-06 Renato Araujo Oliveira Filho

        * Fixed engine crash while destroying whie running requests.
          (88482b4)

2015-02-27 CI Train Bot

        * Releasing 0.1.1+15.04.20150227-0ubuntu1 (ec68e99)

2015-02-27 Renato Araujo Oliveira Filho

        * Use '0' as value for recurrence count if this is unset.
          Fixes:
          #1424924 Approved by: Charles Kerr (ccc2e78)
        * Trunk merged. (c551c58)
        * Updated changelog from vivid. (e410c66)

2015-02-26 Renato Araujo Oliveira Filho

        * Use '0' as value for recurence count if this is unset. (271e3c9)

2014-11-21 CI bot

        * Releasing 0.1.1+15.04.20141121.1-0ubuntu1 (307e5da)

2014-11-21 Renato Araujo Oliveira Filho

        * Fixed recurrence rule limit date.
          Fixes: #1362781 Approved by:
          Mihir Soni (8c5a9f5)
        * Fixed attendee property parse.
          Fixes: #1384830 Approved by: PS
          Jenkins bot (de1e78e)

2014-10-29 Renato Araujo Oliveira Filho

        * Avoid recreate engine for each test. (67855dd)

2014-10-28 Renato Araujo Oliveira Filho

        * Avoid reload collections for each test on collection unit test.
          (b9a5299)
        * Wait for evolution die before run another test. (96d0fcd)
        * increased test timeout. (dcb42fb)

2014-10-23 Renato Araujo Oliveira Filho

        * Wait for save collection before continue the test. (f299743)
        * Fixed attendee property parse. (aa5daa5)

2014-10-22 Renato Araujo Oliveira Filho

        * Update read-only collection property after connect with client.
          (20217fb)

2014-10-21 Renato Araujo Oliveira Filho

        * Fixed wrong function call. (8cabded)
        * Fixed recurrence rule limit date. (eb64463)
        * Set extra metadata in colloction (readonly property). (d0d690c)

2014-10-10 CI bot

        * Releasing 0.1.1+14.10.20141010-0ubuntu1 (c061229)

2014-10-10 Renato Araujo Oliveira Filho

        * Save events in the correct timezone. (c91e57c)
        * Typo fixed. (5235428)
        * WORKAROUND test to work in jenkins build system. (d178cf5)

2014-10-09 Renato Araujo Oliveira Filho

        * Fix QDateTime parser for floating times. (122e485)

2014-10-08 Renato Araujo Oliveira Filho

        * Remove all calls:  QCoreApplication::processEvents(); (c1eab4b)
        * Avoid save invalid due date. (74863f6)
        * Improve tests. (a5aceb6)
        * Consider QDateTime with invalid timezone as floating time.
          (2d4c30a)
        * Save floating time in UTC format. (8fe4953)

2014-10-06 Renato Araujo Oliveira Filho

        * Use UTC timezone for QDateTime in UTC spec. (f85df7b)
        * Revert changes. (18b0bc2)
        * Increased the time for wait the item creation during the collection
          test. (b837939)
        * Fix tests. (47caebb)
        * Removed debug messages. (fb0b2a5)
        * Improve test reliability (fc13827)

2014-10-03 Renato Araujo Oliveira Filho

        * Save events in the correct timezone. (2c5e64e)

2014-10-01 CI bot

        * Releasing 0.1.1+14.10.20141001.4-0ubuntu1 (f3e2945)

2014-10-01 Renato Araujo Oliveira Filho

        * Fixed cancel function for request data. (e3aae4e)
        * Create unit test to event tags. Approved by: Zsombor Egri (eeed9c6)
        * Does not destroy request data on cancel function. (e26e625)
        * Fixed cancel function for request data. (2bb7b71)

2014-09-30 Renato Araujo Oliveira Filho

        * Fixed category parse from QOrganizerItem to  ECalComponent.
          (1423854)
        * Create unit test to event tags. (b6f74a1)

2014-09-23 CI bot

        * Releasing 0.1.1+14.10.20140923-0ubuntu1 (0c13f77)

2014-09-23 Renato Araujo Oliveira Filho

        * Fixed recurrence events. (719331e)

2014-09-22 Renato Araujo Oliveira Filho

        * Removed wrong comment on control file. (ebabd4a)
        * Added gvfs-daemons as build dependency to run unit tests. (64678b2)
        * Fixed recurrence events. (9e689e2)

2014-06-10 CI bot

        * Releasing 0.1.1+14.10.20140610.1-0ubuntu1 (f303719)

2014-06-10 Renato Araujo Oliveira Filho

        * Only destroy request data in the requestDestroyed function.
          Fixes:
          1328144 (32e6faa)
        * Return the item in the the correct sort order. (5c086e9)

2014-06-05 Renato Araujo Oliveira Filho

        * Removed commented code. (858fac6)

2014-05-27 Renato Araujo Oliveira Filho

        * Added test for select and unselect a collection. (02d5cbf)

2014-05-26 Renato Araujo Oliveira Filho

        * Fixed organizer plugin load during tests. (30bd6de)

2014-05-25 Renato Araujo Oliveira Filho

        * Removed unused functions. (841654b)
        * Added missing file. (efb6061)

2014-05-24 Renato Araujo Oliveira Filho

        * Test cancel operation. (697075d)
        * Make EDS tests more reliable. (dd6f0e1)
        * WIP (c09b2bd)

2014-05-22 Renato Araujo Oliveira Filho

        * Reduce the wait time during the test cleanup. (ce25361)

2014-05-21 Renato Araujo Oliveira Filho

        * Try t fix faling test. (014a6df)
        * Fixed collection update signal. Avoid delete request while wait to
          finish. (3f3819f)

2014-05-14 Renato Araujo Oliveira Filho

        * Improve buildOnDevice.sh script. (a430075)
        * Only destroy request data in the requestDestroyed function.
          (f048185)

2014-05-08 CI bot

        * Releasing 0.1.1+14.10.20140508-0ubuntu1 (85f57e4)

2014-05-08 Renato Araujo Oliveira Filho

        * Set setSecondsBeforeStart on reminders even if the value is zero,
          otherwise this will create a empty reminder.
          Fixes:
          1309041, 1309057 (d696b85)

2014-05-02 CI bot

        * Releasing 0.1.1+14.10.20140502-0ubuntu1 (5fb05a3)

2014-05-02 Renato Araujo Oliveira Filho

        * Check if request was destroyed by the caller before continue with
          request process.
          Fixes: 1309186 (1bd4c62)
        * WORKAROUND: process pending events in mainloop before return the
          recent created source. (b5276f1)

2014-04-19 Renato Araujo Oliveira Filho

        * Added buildOnDevice.sh script. (43df222)
        * Fixed request data destruction. (3baf2b2)

2014-04-18 Renato Araujo Oliveira Filho

        * Do not destroy request data during the cancel only during the
          requestDestroyed call. (eca0839)
        * Wait for the requet finish before continue the cancel process.
          (44c8440)
        * If fech request was cancelled, release the data only in the end.
          (65b159c)
        * Refresh the client after every change to avoid syncronization
          problems. (31adb9d)

2014-04-17 Renato Araujo Oliveira Filho

        * Check if request was destroyed by the caller before continue with
          request process. (67cdabf)
        * Set setSecondsBeforeStart on reminders even if the value is zero,
          otherwise this will create a empty reminder. (032ee81)

2014-04-15 CI bot

        * Releasing 0.1.1+14.04.20140415.1-0ubuntu1 (6fda088)

2014-04-15 Renato Araujo Oliveira Filho

        * Removed all debug messages.
          Fixes: 1294426 (bb15406)
        * Fixed recurrence date limit parse.
          Fixes: 1292554 (f7d1ca4)
        * Implemented support to update recurrence items with different
          modes.;  All (E_CAL_OBJ_MOD_ALL);;  A single instance
          (E_CAL_OBJ_MOD_THIS),;  A specific set of instances
          (E_CAL_OBJ_MOD_THIS_AND_PRIOR and
          E_CAL_OBJ_MOD_THIS_AND_FUTURE)
          Fixes: 1283859 (5ddc338)
        * Used alarm component description as message field for visual
          reminders.
          Fixes: 1284375 (32dd85f)
        * Optimize eventid parse, and avoid memory leak.
          Fixes: 1306112
          (83b0853)
        * Updated ignored file list. (3fbf17d)

2014-04-14 Renato Araujo Oliveira Filho

        * Fixed recurrence date limit parse. (ed9cab7)
        * Merged mainline. (06e1a0c)
        * Fixed memory leak on strings. (757fdda)
        * Used timezones on tests datetime values to avoid problems when
          running in different timezones. (4f3be45)

2014-04-13 Renato Araujo Oliveira Filho

        * Implemented support to update recurrence items with different
          modes.;  All (E_CAL_OBJ_MOD_ALL);;  A single instance
          (E_CAL_OBJ_MOD_THIS),;  A specific set of instances
          (E_CAL_OBJ_MOD_THIS_AND_PRIOR and
          E_CAL_OBJ_MOD_THIS_AND_FUTURE) (3727338)

2014-04-11 Renato Araujo Oliveira Filho

        * Optimize eventid parse, and avoid memory leak. (22c4fa4)

2014-04-04 CI bot

        * Releasing 0.1.1+14.04.20140404-0ubuntu1 (d142bf6)

2014-04-04 Renato Araujo Oliveira Filho

        * Implemented support to save changes on collections. (61399d4)

2014-04-03 CI bot

        * Releasing 0.1.1+14.04.20140403.1-0ubuntu1 (e3b5ffc)

2014-04-03 Renato Araujo Oliveira Filho

        * Initial implementation of time zone support.
          Fixes: 1267814
          (4473346)
        * Fixed timezone name parse. (45fb5ab)

2014-04-02 Renato Araujo Oliveira Filho

        * Fixed failing test when running on devices with different time
          zone. (3cfa889)
        * Fixed datetime conversion when using timezones. (db2de1c)

2014-04-01 Renato Araujo Oliveira Filho

        * Fixed tzid set when time zone is null. (3782c04)
        * Initial implementation of time zone support. (c1e4083)

2014-03-21 Renato Araujo Oliveira Filho

        * Removed all debug messages. (5864a73)
        * Implemented support to save changes on collections. (6305495)

2014-03-07 CI bot

        * Releasing 0.1.1+14.04.20140307.1-0ubuntu1 (bd77dcb)
        * No change rebuild against Qt 5.2.1. (2fdccc4)
        * Releasing 0.1.1+14.04.20140307-0ubuntu1 (8d95814)

2014-03-07 Renato Araujo Oliveira Filho

        * Fixed parse from icalrecurrencetype to
          QtOrganizer::QOrganizerRecurrenceRule for weekly
          recurrence.
          Fixes: 1285958 (44e3d0d)

2014-03-06 Renato Araujo Oliveira Filho

        * Fixed parse from icalrecurrencetype to
          QtOrganizer::QOrganizerRecurrenceRule for weekly
          recurrence. (94904b5)

2014-02-28 CI bot

        * Releasing 0.1.1+14.04.20140228.1-0ubuntu1 (df71af1)

2014-02-28 Renato Araujo Oliveira Filho

        * Fixed memory leaks of ECalComponentDateTime object.
          Fixes: 1285056
          (f24a443)
        * Implemented support for QOrganizerItemOccurrenceFetchRequest.
          (281ad25)
        * Make sure to remove the request from internal list when it get
          destroyed.
          Fixes: 1284587 (3fd5e27)
        * Revert the previous changes. (0025412)
        * Added debug on tests to help to debug. (dab00ad)
        * Reverted wrong commits (4375d46)

2014-02-28 CI bot

        * Releasing 0.1.1+14.04.20140228-0ubuntu1 (80fd039)

2014-02-28 Renato Araujo Oliveira Filho

        * Fixed compilation with Qt5.2
          Fixes: 1280281 (cdfecf6)
        * Put back some tests removed by mistake. (7faca6f)
        * Fixed due date field for recurrence todo events. (aaed0bb)
        * Make sure to remove the request from internal list when it get
          destroyed. (1f40d04)
        * Fixed build for qt 5.2 (9191223)

2014-02-26 Renato Araujo Oliveira Filho

        * Fixed memory leak caused by object returned by
          e_cal_component_get_rrule_list. (99fec6a)
        * Merged fixes on qt 5.2 branch. (13ce9e7)
        * Fixed memory leaks of ECalComponentDateTime object. (17ea090)
        * Fixed qt 5.2 compilation. (d0f9362)

2014-02-25 Renato Araujo Oliveira Filho

        * Merged parent branch. (dbb4a6d)
        * Does not wait for EDS to finish during the tests. (8fb92a4)
        * Added missing files. (aa8fefa)
        * Used alarm component description as message field for visual
          reminders. (0b84f9a)
        * Implemented support for QOrganizerItemOccurrenceFetchRequest.
          (5bf521e)
        * Fixed compilation with Qt5.0.2 (1e9ccea)

2014-02-21 CI bot

        * Releasing 0.1.1+14.04.20140221-0ubuntu1 (6d70347)

2014-02-21 Renato Araujo Oliveira Filho

        * Limited the number of events returned when no date interval is
          specified.
          Fixes: 1282129 (75275c9)

2014-02-20 Renato Araujo Oliveira Filho

        * Ignore return from calendar-factory when running the tests.
          (f152d07)
        * Disabled debug messages when "QORGANIZER_EDS_DEBUG"  is not set.
          (672bd77)
        * Limited the number of events returned when no date interval is
          specified. (afff2ed)

2014-02-13 CI bot

        * Releasing 0.1.1+14.04.20140213-0ubuntu1 (4b8d2d3)

2014-02-13 Renato Araujo Oliveira Filho

        * Fixed item it to contains the recurrence it. Correct parse for
          recurrence items to create the QOrganizerTodoOccurrence or
          QOrganizerEventOccurrence. This allow us to remove/edit a
          specific item in recurrence items.
          Fixes: 1274792
          (c5d7efe)

2014-02-03 Renato Araujo Oliveira Filho

        * Merged mainline. (f3a9333)
        * Created unit test for reccurence items with different ids.
          (bf65366)

2014-02-02 Renato Araujo Oliveira Filho

        * Fixed item it to contains the recurrence it. Correct parrse
          recurrence items to create the QOrganizerTodoOccurrence or
          QOrganizerEventOccurrence. This allow us to remove/edit a
          specific item in recurrence items. (e70e892)

2014-01-31 CI bot

        * Releasing 0.1.1+14.04.20140131-0ubuntu1 (063888d)

2014-01-31 Renato Araujo Oliveira Filho

        * Fixed todo event parse.
          Fixes: 1272333 (f3952fb)

2014-01-29 Renato Araujo Oliveira Filho

        * Created unit test for todo event. Created unit test for query with
          invalid dates. (c10acf8)
        * Fixed todo event parse. (e10c92e)

2014-01-27 Renato Araujo Oliveira Filho

        * Make sure that allDay property get saved correct.
          Fixes:
          https://bugs.launchpad.net/bugs/1265953. (37406ec)

2014-01-24 Renato Araujo Oliveira Filho

        * Save allDay events property correct. (3716b22)

2014-01-08 Automatic PS uploader

        * Releasing 0.1.1+14.04.20140108.2-0ubuntu1 (revision 26 from
          lp:qtorganizer5-eds). (71351d7)
        * Releasing 0.1.1+14.04.20140108.2-0ubuntu1, based on r26 (4fa50ab)

2014-01-08 Renato Araujo Oliveira Filho

        * Fixed create items without collection id.
          Fixes:
          https://bugs.launchpad.net/bugs/1262296. (a6ec0ad)

2014-01-07 Renato Araujo Oliveira Filho

        * Reverted wrong conflict solution. (4cd68a5)
        * Merged mainline. (cb94dfc)

2014-01-06 Renato Araujo Oliveira Filho

        * Implemented remove item by id;.
          Fixes:
          https://bugs.launchpad.net/bugs/1240505. (83d5548)

2014-01-05 Renato Araujo Oliveira Filho

        * Emit the itemRemoved signal only once. (56ac50f)
        * Used Qstring to represet collectionId. The function
          QOrganizerCollectionId::fromString does not work if the
          plugin is not installed. (21751ae)
        * Removed debug messages. (f1ec571)
        * Use QOrganizerItemFetchByIdRequest for query to items using id.
          (e384537)
        * More debug messages. (3e025a6)

2014-01-04 Renato Araujo Oliveira Filho

        * Fixed item id for items created with empty collection. (4906fe5)
        * Added debug messages. (328f2de)
        * Give some time to EDS to commit the info in slow machines.
          (ffa13e6)
        * Create a collection id without install EDS plugin. (45c44fc)
        * Check if the invalid collection id is correct. (86d0ecf)
        * Make sure that the item remove signal is fired. (a18d32e)

2014-01-03 Renato Araujo Oliveira Filho

        * Added missing files. (67f1d18)
        * Used a different collection id for invalid collection on tests.
          (8221ee0)
        * Test create items without collection id. (4af0b76)
        * Fixed create items without collection id. (9d8651c)

2013-12-31 Renato Araujo Oliveira Filho

        * Implemented remove item by id; (969f72a)

2013-12-13 Renato Araujo Oliveira Filho

        * fixed query items with recurrence. (14020e8)
        * Use now + 10 years as default value if not endDate is setted.
          (16cc2eb)
        * Returned "std::numeric_limits < uint >::max();" as default value
          for endDate. (8e62df0)

2013-12-12 Renato Araujo Oliveira Filho

        * Used quin32 for maximum date. (218da37)

2013-12-11 Renato Araujo Oliveira Filho

        * Added missing test. (2832c6a)
        * Merged parent branch. (080faaf)
        * Fixed code syntax. (18712e4)
        * Implemented support for save multiple items. This new
          implementation allows to save several items in the same
          call. The items can be part of the same collection or not.
          (145273c)
        * used const ref for every Q_FOREACH (when possible) (7f9e781)

2013-12-10 Renato Araujo Oliveira Filho

        * Used const ref during the foreach loop; (0bca9e0)

2013-12-06 Renato Araujo Oliveira Filho

        * Fixed default value for endDate. (284c079)
        * Initial fix for query recurrent events. (405312c)
        * Avoid compare items using operator "==" becase it fails if the item
          details was stored in a different order. (4bce7ac)

2013-12-05 Renato Araujo Oliveira Filho

        * Make sure to remove all new items after each test. (1084823)
        * Merged parent branch. (d60e4cd)
        * Implemented support for query items by id.
          Fixes:
          https://bugs.launchpad.net/bugs/1240808. (7064c3a)
        * Wait for 1sec after every test to avoid problems with eds services
          sync. (2c0c4ed)
        * Merged parent branch. (c305ce9)
        * Added unit test. (ed0282b)
        * Implemented support for save multiple items. This new
          implementation allows to save several items in the same
          call. The items can be part of the same collection or not.
          (09e4a4a)
        * export XDG_RUNTIME_DIR to avoid problems with dconf. (c18aaa8)
        * Make sure that "gvfsd" is running before start the tests. (1564c02)
        * Merged parent branch. (94e09f1)
        * Configured eds to run a new session for each test. (1b7e782)
        * Fixed english grammar (4d4a58e)

2013-12-04 Renato Araujo Oliveira Filho

        * Merged parent branch. (85ac35e)
        * Remove blank line and unecessary code. (cc18a6d)
        * Use "org.gnome.evolution.dataserver.Sources2"  as default value for
          EVOLUTION_SOURCE_SERVICE_NAME (95ccaa5)
        * Allow to change source registry service name during the
          compilation. (9dd9513)
        * Fixed memory leak. (620b485)
        * Added command to find for source-registry service. (95d8587)
        * Wait for source-registry before start evolution service. (04df10c)
        * Use the new source-registry service name. (05be97d)
        * Wait for 'evolution-source-registry' before run
          'evolution-calendar-factory' during the tests. (252d520)
        * Fixed memory leak. (ac74473)

2013-12-03 Renato Araujo Oliveira Filho

        * Wait for eds exit before finish the test. (9cef589)
        * Added debug messages; (8030c9e)
        * Avoid compare lists the order can be different. (2480671)
        * Changed fetch item test to only create the events once. (3ece4d8)
        * Fixed comments. (2e2851a)
        * Added test for invalid and not found id. (c8cf5c4)
        * Added tests to fetch contact by id. (83e5f31)
        * Implemented support for query items by id. (0a476de)
        * Removed debug messages. (17c77ac)

2013-12-02 Renato Araujo Oliveira Filho

        * Added "QCoreApplication::processEvents()" after every eds function
          call to avoid sync problems. (ba64452)
        * Delay to start EDS. (a39459a)
        * Added debug message. (3750bb3)
        * attempt to fix EDS start/stop process. (47ba7f1)

2013-12-01 Renato Araujo Oliveira Filho

        * Check for dbus service to make sure that EDS is up and running,
          before start the tests. (99ec43d)
        * Start and Stop the EDS for each test. (a03fc2c)
        * Fixed reference leak on clients objects. (457e94e)
        * Removed debug messages. Used syc function to remove items. "async"
          one was causing ref leak. (101b477)
        * Added missing files. (a485dad)
        * Refactory Used QSharedData to easily share data btw the
          QOrganizerEDs instances. (17193d4)

2013-11-28 Renato Araujo Oliveira Filho

        * Fixed memory leaks an engine destructor. (58d1958)

2013-11-26 Robert Bruce Park

        * Copy&paste error. (58e2831)
        * Merge manual upload back into trunk. (2b891e4)

2013-11-25 Renato Araujo Oliveira Filho

        * Cancel any running query during the engine destructor. (f3afa7b)
        * Make sure that EDS is empty before run any test. (e3c411e)
        * Removed debug messages. (64d458a)

2013-11-24 Renato Araujo Oliveira Filho

        * Enabled unit test for EDS. (49056f1)

2013-10-25 Automatic PS uploader

        * Releasing 0.1.1+14.04.20131024.4-0ubuntu1 (revision 17 from
          lp:qtorganizer5-eds). (df165b2)

2013-10-24 Automatic PS uploader

        * Releasing 0.1.1+14.04.20131024.4-0ubuntu1, based on r17 (b5ba1d9)

2013-10-15 Renato Araujo Oliveira Filho

        * Used a proper match all query string.
          Fixes:
          https://bugs.launchpad.net/bugs/1236390. (1fab1c1)

2013-10-14 Renato Araujo Oliveira Filho

        * Used a proper match all query string. (8113838)

2013-10-11 Automatic PS uploader

        * Releasing 0.1.1+13.10.20131011-0ubuntu1 (revision 15 from
          lp:qtorganizer5-eds). (d20e5fa)
        * Releasing 0.1.1+13.10.20131011-0ubuntu1, based on r15 (03be747)

2013-10-07 Renato Araujo Oliveira Filho

        *Fixed default source/collection load; *Implemented changes notify.
          (8f8d2be)
        * removed duplicated code. (4bf829d)
        * Removed tests which need EDS (causes problem on jenkins) (0531a5d)

2013-10-06 Renato Araujo Oliveira Filho

        * Implemented parse for attendee list. (b441297)
        * Fixed crash during view watcher destructor. (4f7e0d4)

2013-10-05 Renato Araujo Oliveira Filho

        * Fixed EDSEngine clenup. (b60e666)
        * Implemented changes notify. (a329c5e)

2013-09-18 Automatic PS uploader

        * Releasing 0.1.1+13.10.20130917.1-0ubuntu1 (revision 13 from
          lp:qtorganizer5-eds). (f87c777)

2013-09-17 Automatic PS uploader

        * Releasing 0.1.1+13.10.20130917.1-0ubuntu1, based on r13 (b37d760)

2013-09-16 Renato Araujo Oliveira Filho

        * Avoid emit signal item removed before query finish. (9aed647)
        * Created unit test for check the order that the signal is fired.
          (1eb9400)
        * Removed use of extra variable to store the removed ids. (0fa41a0)

2013-09-10 Renato Araujo Oliveira Filho

        * Avoid emit signal item removed before query finish. (abcdab9)
        * - Implemented recurrence support; - Implemented support for
          different collection type. - Implemented Reminder
          support;. (06dbc70)

2013-09-09 Renato Araujo Oliveira Filho

        * Removed unit test that does not work with jenkins. (8096fa6)

2013-09-07 Renato Araujo Oliveira Filho

        * Implemented support for attachments on alarm. (44c82b4)

2013-09-06 Renato Araujo Oliveira Filho

        * Created unit test to check if the reminder property is correct
          saved. (bd519cf)

2013-09-05 Renato Araujo Oliveira Filho

        * Fixed recurrence parser and created unit tests. (a66fdfe)
        * Fixed reminder parse. (3bfecb6)

2013-09-04 Renato Araujo Oliveira Filho

        * Implemented support for reminders. (54c1592)
        * Fixed recurrence parse. (49feba2)
        * Fixed invalid string values be saved due the QString object be
          destroyed before the event be saved. (aac0081)
        * Implemented "waitForRequestFinished" and use that on sync
          functions. (f732ea7)
        * Implemented support for query without a date interval. (a79b900)
        * Changed item filter clause to use collection id. (c720479)

2013-09-03 Renato Araujo Oliveira Filho

        * Implemented support to remove collection. (299d030)
        * Fixed items fetch from different source type. (545596b)
        * Emit the signal "collectionsAdded" after create a new collection.
          (a3d7893)
        * Fixed collection load function to load all supported collections.
          (7740928)
        * Implemented support to collection creation; Implemented support to
          different types of collection using collection meta dat.
          Created unit test for collections; (a37dc86)

2013-08-27 Renato Araujo Oliveira Filho

        * Implemented recurrence support. (2c8c97f)

2013-08-19 Automatic PS uploader

        * Releasing 0.1.1+13.10.20130819.2-0ubuntu1 (revision 10 from
          lp:qtorganizer5-eds). (a4f6118)
        * Releasing 0.1.1+13.10.20130819.2-0ubuntu1, based on r10 (fc86cba)

2013-08-19 Timo Jyrinki

        * Small packaging tweaks. (e92bb70)

2013-08-19 PS Jenkins bot

        * Releasing 0.1.1+13.10.20130819-0ubuntu1, based on r8 (874d07f)

2013-08-19 Timo Jyrinki

        * Small packaging tweaks. (3dee7db)

2013-08-19 Automatic PS uploader

        * Releasing 0.1.1+13.10.20130819-0ubuntu1, based on r8 (1d43927)

2013-08-15 Renato Araujo Oliveira Filho

        * Fixed test to work on a brand new env. (e224c94)
        * Merged mainline. (f747831)
        * Basic implementation for item recurrence. (e86af2f)
        * Some small packaging cleanups (7b87ef5)

2013-08-15 Michael Terry

        * Add snapshot comment for daily landing bot (6fc4f7e)
        * Package cleanup (c06a4f5)

2013-08-15 Renato Araujo Oliveira Filho

        * Removed .install file. (5cfd848)
        * Added missing dep. (397c8a4)
        * Added missing files. (162d835)

2013-08-14 Renato Araujo Oliveira Filho

        * Updated changelog. (2179b5e)
        * Initial commit. (206a4eb)
